Redmine - Defect #7677

Wiki history, diffs and export does not work
2011-02-21 16:56 - Florian Breitwieser

Status: Closed Start date: 2011-02-21
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

When accessing the history version of a Wiki page (e.g. Wiki?version=16), just a string which is not human readable is displayed. It
starts like this and is about 5000 characters long:

\x68312e204d532050726£63657373696e6720506970656c696e670d0a0d0a68322e2047656e6572616c2073657475700d
0a0d0a57696e646£7773206d616368696e657320617474616368656420746£206d61737370656320617265207573656420
746£20636£70792066696c657320746£206365727461696e206c6£636174696£6e732e20402£72

Same result for exporting TXT or HTML of the current version, and a Wiki-diff just diffs between two such strings.
There's no error/warning message in the log
Thanks for your help and Redmine!

Versions:

Redmine 1.1.0

Ruby 1.8.6

Rails 2.3.5

Rack 1.0.1

Postgres 9.0.2, migrated from Redmine 1.0

Log msg:

Processing WikiController#show (for 193.171.186.112 at 2011-02-21 16:55:35) [GET]

Parameters: {"project_id"=>"mspipeline", "action"=>"show", "id"=>"Wiki", "version"=>"4", "contro
ller"=>"wiki"}
Rendering template within layouts/base
Rendering wiki/show
Completed in 570ms (View: 525, DB: 31) | 200 OK [http://headl/redmine/projects/mspipeline/wiki/Wik
i?version=4]

Related issues:
Has duplicate Redmine - Defect #13321: Wiki show differences doesn't work Closed

History

#1 - 2011-02-21 17:05 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Invalid

It's a bug with postgres-pr adapter, see this issue.
Either you change your configuration at db level or you use pg adapter (not native but actively maintained).

#2 - 2011-02-21 17:30 - Florian Breitwieser

Thank you for the hint, Etienne. PostgreSQL 9 introduced a new 'hex' format for bytea data input and output. Default for output is now hex, but it can
be easily reverted to the old 'escape’ format with the following command:

ALTER DATABASE redmine SET bytea_output TO 'escape';
https://github.com/mneumann/postgres-pr/issues#issue/4

This affects all Postgres 9.0 users, so | added a HowTo make Wiki history working with Postgres 9.0.

#3 - 2011-02-21 17:34 - Etienne Massip

| personally chose to switch to pg adapter, most reliable and more actively maintained.

2025-05-01 22


https://www.redmine.org/projects/redmine/wiki/HowTo_make_Wiki_history_working_with_Postgres_90
http://www.tcpdf.org

